gfs=25;
lfs=30;
FigH=figure('Position',get(0,'Screensize'));
subplot(1,4,1);
load('evf1')
res=100;
spac=10;
lwid=2.0;
lstyle='-';
gslices =gs;
slice(es, vs, gs, abs(Ts1-Ts2),[],[], gslices);
shading flat;
ylabel('pv','Position',[-0.05 0.2 0],'fontname','times','Fontsize',lfs);
xlabel('pe','Position',[0.1 -0.07 0.0],'fontname','times','Fontsize',lfs);
zlabel('pg','fontname','times','Fontsize',lfs);
xticks([0.05,0.10,0.15]);
yticks([0,0.1,0.2,0.3,0.4,0.5]);
zticks([0,0.1,0.2,0.3,0.4,0.5]);
hold on
ws=linspace(vs(1),vs(res),spac);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.0,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.1,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.2,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.3,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.4,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.5,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.5,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
axis([0.02 0.15 0.05 0.3 0 0.5]);
grid off
set(gca,'fontname','times');
set(get(gca,'zlabel'),'rotation',0);
set(gca,'Fontsize',gfs);
view([-1 -4 0.8])
subplot(1,4,2);
load('evf3') 
gslices =gs;
slice(es, vs, gs, abs(Ts1-Ts2),[],[], gslices);
shading flat;
xlabel('pe','Position',[0.1 -0.07 0.0],'fontname','times','Fontsize',lfs)
xticks([0.05,0.10,0.15]);
yticks([0,0.1,0.2,0.3,0.4,0.5]);
zticks([0,0.1,0.2,0.3,0.4,0.5]);
hold on
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.0,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.1,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.2,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.3,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.4,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.5,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.5,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
axis([0.02 0.15 0.05 0.3 0 0.5]);
grid off
set(gca,'fontname','times');
set(get(gca,'zlabel'),'rotation',0);
set(gca,'Fontsize',gfs);
view([-1 -4 0.8])
subplot(1,4,3);
load('evf2') 
gslices =gs;
slice(es, vs, gs, abs(Ts1-Ts2),[],[], gslices);
shading flat;
xlabel('pe','Position',[0.1 -0.07 0.0],'fontname','times','Fontsize',lfs)
xticks([0.05,0.10,0.15]);
yticks([0,0.1,0.2,0.3,0.4,0.5]);
zticks([0,0.1,0.2,0.3,0.4,0.5]);
hold on
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.0,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.1,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.2,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.3,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.4,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/(1-params(1)),ws,ones(spac)*0.5,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.5,'Color','c','Linestyle',lstyle,'Linewidth',lwid);
axis([0.02 0.15 0.05 0.3 0 0.5]);
grid off
set(gca,'fontname','times');
set(get(gca,'zlabel'),'rotation',0);
set(gca,'Fontsize',gfs);
view([-1 -4 0.8])

colormap hot;
hp4=get(subplot(1,4,4),'Position');
cb = colorbar('Position',[hp4(1) hp4(2) hp4(3)*0.2 hp4(4)*1]);
caxis([0,1]);
set(gca,'fontname','times');
hL=ylabel(cb,'pt','fontname','times');
set(cb,'Fontsize',gfs);
set(hL,'Rotation',0);
set(hL,'Position',[4.0,0.55]);
annotation('textbox',[0.17,0.83,0.3,0.15],'FontSize',lfs,'Color','black','EdgeColor','none','String',{'(a)'},'fontname','times');
annotation('textbox',[0.375,0.83,0.3,0.15],'FontSize',lfs,'Color','black','EdgeColor','none','String',{'(b)'},'fontname','times');
annotation('textbox',[0.58,0.83,0.3,0.15],'FontSize',lfs,'Color','black','EdgeColor','none','String',{'(c)'},'fontname','times');

set(gcf,'renderer','Painters')
